=== modified file 'bzrlib/atomicfile.py'
--- bzrlib/atomicfile.py	2005-05-10 08:56:28 +0000
+++ bzrlib/atomicfile.py	2005-05-16 02:37:37 +0000
@@ -46,6 +46,7 @@
         self.closed = property(self.f.closed)
 
     def commit(self):
+        """Close the file and move to final name."""
         import sys, os
         
         self.f.close()
@@ -54,8 +55,14 @@
         os.rename(self.tmpfilename, self.realfilename)
 
     def abort(self):
+        """Discard temporary file without committing changes."""
         import os
         self.f.close()
         os.remove(self.tmpfilename)
+
+    def close(self):
+        """Discard the file unless already committed."""
+        if not self.closed:
+            self.abort()
         
         

